package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 检查得分等级枚举
 */
@Getter
@AllArgsConstructor
public enum CheckScoreLevelEnum {

    QUALIFIED("QUALIFIED", "符合"),
    UNQUALIFIED("UNQUALIFIED", "不符合");

    private final String code;
    private final String desc;

    public static CheckScoreLevelEnum getByCode(String code) {
        for (CheckScoreLevelEnum itemEnum : values()) {
            if (itemEnum.getCode().equals(code)) {
                return itemEnum;
            }
        }
        return null;
    }

}
